
 
#include "thermistor.h"
#include "HardwareSerial.h"

#include <SoftwareSerial.h>

SoftwareSerial mySerial(8,9); // RX, TX
// Analog pin used to read the NTC
#define NTC_PIN               A1

// Thermistor object
THERMISTOR thermistor(NTC_PIN,        // Analog pin
                      10000,          // Nominal resistance at 25 ºC
                      3950,           // thermistor's beta coefficient
                      10000);         // Value of the series resistor

// Global temperature reading
uint16_t temp;

/**
 * setup
 *
 * Arduino setup function
 */
void setup()
{
  Serial.begin(9600);
  mySerial.begin(9600);
  pinMode(7,OUTPUT);
  digitalWrite(7,HIGH);
}

/**
 * loop
 *
 * Arduino main loop
 */
void loop()
{
  temp = thermistor.read();   // Read temperature

  Serial.print("Temp in 1/10 ºC : ");
  Serial.println(temp);
delay(5000);
}

